package com.dcsoft.system.kq.mapper;

import java.util.List;
import com.dcsoft.system.kq.domain.KqGatherMonth;

/**
 * 月汇总Mapper接口
 *
 * @author dcsoft
 * @date 2023-08-01
 */
public interface KqGatherMonthMapper
{
    /**
     * 查询月汇总
     *
     * @param id 月汇总主键
     * @return 月汇总
     */
    public KqGatherMonth selectKqGatherMonthById(Long id);

    /**
     * 查询月汇总列表
     *
     * @param kqGatherMonth 月汇总
     * @return 月汇总集合
     */
    public List<KqGatherMonth> selectKqGatherMonthList(KqGatherMonth kqGatherMonth);

    /**
     * 新增月汇总
     *
     * @param kqGatherMonth 月汇总
     * @return 结果
     */
    public int insertKqGatherMonth(KqGatherMonth kqGatherMonth);

    /**
     * 修改月汇总
     *
     * @param kqGatherMonth 月汇总
     * @return 结果
     */
    public int updateKqGatherMonth(KqGatherMonth kqGatherMonth);

    /**
     * 删除月汇总
     *
     * @param id 月汇总主键
     * @return 结果
     */
    public int deleteKqGatherMonthById(Long id);

    /**
     * 批量删除月汇总
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKqGatherMonthByIds(Long[] ids);

    /**
     * 考勤月汇总表
     */
    void deleteKqGatherMonth(KqGatherMonth kqGatherMonth);
}
